/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb.handler;

import java.util.Iterator;

import org.jfox.ejb.Bucket;
import org.jfox.ejb.Invocation;

/**
 * ִִִоķ
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Handler {
    /**
     * ִ invokeHome 
     *
     * @param invocation
     * @param iter       Invoker 
     * @return
     * @throws Exception
     */
    Object invokeHome(final Bucket bucket, final Invocation invocation, final Iterator iter) throws Exception;

    /**
     * ִ invokeBean 
     *
     * @param invocation
     * @param iter       Invoker 
     * @return
     * @throws Exception
     */
    Object invokeBean(final Bucket bucket, final Invocation invocation, final Iterator iter) throws Exception;

}