/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.framework.extra;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Initializable extends Singleton {

    /**
     * before init component, you can set something
     *
     * @throws Exception
     */
    public void init() throws Exception;

    public boolean isInitialized();

}
