/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.framework.extra;

import org.jfox.framework.Component;
import org.jfox.framework.Registry;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface InstantiatingInterceptable extends Component {
    /**
     * do something after make component
     * example: need the registry instance
     *
     * @param theComp
     * @param registry
     */
    Component afterInstantiate(Component theComp, Registry registry);

}