/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * SessionBucket Ҫʵֵķ
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface SessionOperation extends EJBOperation {

    void ejbActivate(SessionBean bean) throws EJBException, java.rmi.RemoteException;

    void ejbPassivate(SessionBean bean) throws EJBException, java.rmi.RemoteException;

    void ejbRemove(SessionBean bean) throws EJBException, java.rmi.RemoteException;

    void setSessionContext(SessionBean bean, SessionContext ctx) throws EJBException, java.rmi.RemoteException;

}