/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.jndi.enc;

import javax.naming.NamingException;
import javax.naming.Reference;
import javax.naming.Referenceable;

/**
 * when start container, bind to java:comp/env
 * when it be lookup down, will use EnterpriseContextFactory to refactor
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ENCReference implements Referenceable {

    public Reference getReference() throws NamingException {
        Reference ref = new Reference(EnterpriseContext.class.getName(), EnterpriseContextFactory.class.getName(), null);
        return ref;
    }

    public static void main(String[] args) {

    }
}

